missile 0.2.2
missile: ^0.2.2 copied to clipboard

Immutable and functional primitives for Dart that provides safe type effects.

Change Log #

Version 0.2.2 (2020-04-19) #

  • Add extensions to Future to convert it to FutureO or FutureE.

Version 0.2.1 (2020-04-19) #

  • Make FutureO and FutureE types public in the library.

Version 0.2.0 (2020-04-19) #

  • Make Pair type public in the library.
  • Remove async mappers on Option and Either in favor of specialized FutureO and FutureE types.
  • Add nullability checks in method calls.

Version 0.1.2 (2020-04-18) #

  • Add async versions of some operators on Option and on Either.
  • Add missing @required annotations.

Version 0.1.1 (2020-04-18) #

  • Minor maintenance fixes.

Version 0.1.0 (2020-04-18) #

  • Initial release.
4
likes
90
pub points
0%
popularity

Immutable and functional primitives for Dart that provides safe type effects.

Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache-2.0 (LICENSE)

Dependencies

meta

More

Packages that depend on missile